# MPI_Bcast

Broadcasts a message from the process with rank root to all other processes of the group.

## Calling Sequence

    res = MPI_Bcast(value,rootID)

## Arguments

value

  The value to be sent to all nodes.

rootID

  The source of the message

res

  The broadcasted value

## Description

Send a variable to all nodes. The value should be retrieved by the node with the function MPI_Recv.

On the internal technical side, two broadcasts are used transparently. The first one sends the size of the data, the second the data themself.

## Examples

                MPI_Init();
                rnk =    MPI_Comm_rank();
                sizeNodes =    MPI_Comm_size();

                SLV = rnk;                // handy shortcuts, master is rank 0
                Master = ~ SLV;            // slaves are all other
                a=-1
                if Master
                // Declare a
                a=42
                end
                b=MPI_Bcast(a, 0);
                assert_checkequal(b,42);
                MPI_Finalize();

## See Also

- MPI_Recv